<?php   
/**
 * @package OneDream
 */
 require_once get_template_directory()."/lib/onedream_customizer.php";
 function onedream_customize_controls_js() {
	$theme = wp_get_theme();
	wp_enqueue_script( 'onedream-customizer-section-pro-jquery', get_template_directory_uri() . '/lib/onedream-customize-controls.js', array( 'customize-controls' ), $theme->get( 'Version' ), true );
	wp_enqueue_style( 'onedream-customizer-section-pro', get_template_directory_uri() . '/lib/onedream-customize-controls.css', $theme->get( 'Version' ) );
}
add_action( 'customize_controls_enqueue_scripts', 'onedream_customize_controls_js' );

 function onedream_style_js()
 {
 	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/bootstrap/css/bootstrap.css');
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() .'/css/font-awesome.css');
	wp_enqueue_style( 'onedream-basic-style', get_stylesheet_uri() );
	wp_enqueue_script( 'bootstrap', get_template_directory_uri() . '/bootstrap/js/bootstrap.js', array('jquery'));	
	wp_enqueue_script( 'onedream-toggle-jquery', get_template_directory_uri() . '/js/onedream-toggle.js', array('jquery'));	
 }
 add_action( 'wp_enqueue_scripts', 'onedream_style_js' );

if ( ! function_exists( 'onedream_setup' ) ) :
function onedream_setup() {   
	add_theme_support( 'automatic-feed-links' );
	add_theme_support('woocommerce');
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'custom-header' );
	add_theme_support( 'title-tag' );
	register_nav_menus( array(
		'primary' => esc_html__( 'Primary Menu', 'onedream' ),
		'footer' => esc_html__( 'Footer Menu', 'onedream' ),
	) );
	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );	
} 
endif; // onedream_setup
add_action( 'after_setup_theme', 'onedream_setup' );

function onedream_widgets_init() { 	
	
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'onedream' ),
		'description'   => esc_html__( 'Appears on sidebar', 'onedream' ),
		'id'            => 'sidebar-1',
		'before_widget' => '',		
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3><aside id="" class="widget">',
		'after_widget'  => '</aside>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 1', 'onedream' ),
		'description'   => esc_html__( 'Appears on sidebar', 'onedream' ),
		'id'            => 'footer-1',
		'before_widget' => '',		
		'before_title'  => '<h1 class="widget-title">',
		'after_title'   => '</h1><aside id="" class="widget">',
		'after_widget'  => '</aside>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 2', 'onedream' ),
		'description'   => esc_html__( 'Appears on sidebar', 'onedream' ),
		'id'            => 'footer-2',
		'before_widget' => '',		
		'before_title'  => '<h1 class="widget-title">',
		'after_title'   => '</h1><aside id="" class="widget">',
		'after_widget'  => '</aside>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 3', 'onedream' ),
		'description'   => esc_html__( 'Appears on sidebar', 'onedream' ),
		'id'            => 'footer-3',
		'before_widget' => '',		
		'before_title'  => '<h1 class="widget-title">',
		'after_title'   => '</h1><aside id="" class="widget">',
		'after_widget'  => '</aside>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 4', 'onedream' ),
		'description'   => esc_html__( 'Appears on sidebar', 'onedream' ),
		'id'            => 'footer-4',
		'before_widget' => '',		
		'before_title'  => '<h1 class="widget-title">',
		'after_title'   => '</h1><aside id="" class="widget">',
		'after_widget'  => '</aside>',
	) );	
}
add_action( 'widgets_init', 'onedream_widgets_init' );
if ( ! isset( $content_width ) ) $content_width = 900;
?>
<?php 
add_image_size( 'onedream-home-banner-size', 1600, 550,true );
add_image_size( 'onedream-home-box-size', 400, 250,true );

function onedream_get_excerpt($postid,$post_count_size){
$excerpt = get_post_field('post_content', $postid);;
$excerpt = preg_replace(" ([.*?])",'',$excerpt);
$excerpt = strip_shortcodes($excerpt);
$excerpt = strip_tags($excerpt);
$excerpt = substr($excerpt, 0, $post_count_size);
$excerpt = substr($excerpt, 0, strripos($excerpt, " "));
return $excerpt;
}
?>